#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xe9872948, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xd190c367, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x3bb44e52, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x092493f3, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x4492eca1, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xa33048a3, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xac2a4a5f, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x30b1ae9b, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xe7b19d0d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3aec9fc1, "sk_skb_reason_drop" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7812675c, "cdev_init" },
	{ 0x4c6d0076, "cdev_add" },
	{ 0xc3d79831, "kmalloc_caches" },
	{ 0x6137fe0c, "__kmalloc_cache_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd793047d, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x034a7afe, "idr_destroy" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4b18de30, "sk_free" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8c0c1c78, "__kvmalloc_node_noprof" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x62f96037, "_copy_to_iter" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x01000e51, "schedule" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xf6afa533, "iov_iter_advance" },
	{ 0xbd922e66, "skb_copy_datagram_iter" },
	{ 0x7b516d83, "consume_skb" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xc2931655, "netdev_err" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x46f57e40, "skb_push" },
	{ 0xc1b49a6f, "skb_checksum_help" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x0ac0a456, "__skb_gso_segment" },
	{ 0x70573b62, "kfree_skb_list_reason" },
	{ 0x90d56569, "__skb_get_hash_net" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x10bf416f, "__skb_flow_dissect" },
	{ 0x45cfaf2e, "skb_partial_csum_set" },
	{ 0x3cd6eed3, "__pskb_pull_tail" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xbe844274, "sock_alloc_send_pskb" },
	{ 0xc6cc5f15, "skb_put" },
	{ 0xbb1123f8, "zerocopy_sg_from_iter" },
	{ 0x8159ce39, "_copy_from_iter" },
	{ 0xba70a530, "__dev_queue_xmit" },
	{ 0xfbb49113, "skb_copy_datagram_from_iter" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xf3c4fe1f, "iov_iter_npages" },
	{ 0x8d03ba1a, "iov_iter_revert" },
	{ 0xdc91c974, "skb_copy_bits" },
	{ 0x30440a1c, "build_skb" },
	{ 0x3761d215, "idr_find" },
	{ 0xeea8cab7, "sk_alloc" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x2b2557a4, "sock_init_data_uid" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x44b6cbd0, "dev_set_mac_address_user" },
	{ 0x331e7b74, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbd7426f1, "compat_ptr_ioctl" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A54E13939F46F9D81FE5752");
MODULE_INFO(rhelversion, "9.99");
