#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xd25182d9, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x372d6cd5, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x6ba709fe, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xe09650a4, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xd4b43dac, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x82bb9e6f, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x97c07ba1, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x6db447c1, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x1d4b3cde, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x2bb4983c, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x9058bc20, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xd2657f36, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x54d9daa0, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xad02e695, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xcd9a6e12, "");
SYMBOL_CRC(nf_nat_follow_master, 0x2ee7e9eb, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x5e9be3b9, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xbbcd0bae, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x908ed2ec, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xb04640fc, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x63847130, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x07ee4340, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dd6d6d5, "nf_ct_ext_add" },
	{ 0x23db3e35, "__do_once_done" },
	{ 0x8fe8ed42, "nf_conntrack_find_get" },
	{ 0x09b98b19, "try_module_get" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x76dcc30e, "nf_ip6_checksum" },
	{ 0xdc91c974, "skb_copy_bits" },
	{ 0x861a25bd, "nf_hook_entries_insert_raw" },
	{ 0x504d090d, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xbcd97add, "nf_ct_seqadj_set" },
	{ 0xc6cc5f15, "skb_put" },
	{ 0x7237afa9, "kmemdup_array" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3a9e9f2c, "nf_ct_helper_expectfn_unregister" },
	{ 0x6ce02b6e, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x82519fc9, "nf_ct_helper_expectfn_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0x67105ef8, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xef2adf5e, "pskb_expand_head" },
	{ 0x500881fd, "register_pernet_subsys" },
	{ 0xdd6026fe, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xa7d49d66, "nf_ct_iterate_cleanup_net" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xf27bb176, "ipv6_skip_exthdr" },
	{ 0x03ff5544, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4a93ea70, "module_put" },
	{ 0xa9f3c790, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xa36effdf, "nf_ct_expect_related_report" },
	{ 0xddd1826c, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xdfb2b2bd, "nf_hook_entries_delete_raw" },
	{ 0xdb8e243d, "skb_ensure_writable" },
	{ 0xa1c73e2e, "nf_unregister_net_hooks" },
	{ 0x190da289, "inet_select_addr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0xc580b05c, "unregister_pernet_subsys" },
	{ 0x12cdc575, "skb_checksum" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6c4386c3, "nf_ct_delete" },
	{ 0x04a43c0f, "nf_ip_checksum" },
	{ 0x22720b21, "register_btf_kfunc_id_set" },
	{ 0x2daf1aae, "nf_ct_iterate_destroy" },
	{ 0x2014a246, "__siphash_unaligned" },
	{ 0x9fbc95a9, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x32a982bd, "__put_net" },
	{ 0xfa7ede3d, "crc32c_le_arch" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0482bbc, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x68ba1ef4, "inet_proto_csum_replace4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6137fe0c, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xcd74b737, "dst_release" },
	{ 0x5fab1769, "nf_ct_l4proto_find" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x48cc618d, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x66f8d6a5, "nf_nat_hook" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xc3d79831, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "3F18A1108765EF61FB1DF01");
MODULE_INFO(rhelversion, "9.99");
