#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x422ea8e2, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xcc70252b, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x675fe91e, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x7aeba131, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x1b26672c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x23db3e35, "__do_once_done" },
	{ 0x883d56a5, "ip6_route_input_lookup" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xc1b84b20, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb4311e97, "dev_mc_sync" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x0232012c, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xaaaf719e, "netdev_update_features" },
	{ 0x7b516d83, "consume_skb" },
	{ 0xdd339d6c, "ip6_local_out" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe7c1c5ee, "dev_uc_sync" },
	{ 0x23456c55, "rtnl_link_register" },
	{ 0xca1c6ffa, "netif_inherit_tso_max" },
	{ 0xa07665df, "eth_header_cache" },
	{ 0x037a0cba, "kfree" },
	{ 0xc987ccb0, "ip_route_output_flow" },
	{ 0x2b38ac74, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x918233c6, "dev_uc_unsync" },
	{ 0x8daac914, "ether_setup" },
	{ 0xc2931655, "netdev_err" },
	{ 0x4971b782, "netdev_upper_dev_link" },
	{ 0x500881fd, "register_pernet_subsys" },
	{ 0xfce0ed0a, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xcc28c3e8, "eth_header_parse" },
	{ 0x69f73779, "netdev_rx_handler_unregister" },
	{ 0x6630eeda, "eth_header_cache_update" },
	{ 0x03ff5544, "nf_register_net_hooks" },
	{ 0x901f3198, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xfd712221, "ip_route_input_noref" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xa47f8d05, "__dev_get_by_index" },
	{ 0x500c8e6e, "rtnl_link_unregister" },
	{ 0x405a47f7, "skb_pull" },
	{ 0x3aec9fc1, "sk_skb_reason_drop" },
	{ 0x9b29eca3, "netif_stacked_transfer_operstate" },
	{ 0xbb7b2947, "netdev_upper_dev_unlink" },
	{ 0x0ff182e8, "nla_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xefecd4b7, "ns_capable" },
	{ 0xa1c73e2e, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcede6b85, "ethtool_op_get_link" },
	{ 0xad7a0cf7, "__ethtool_get_link_ksettings" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xc580b05c, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x3cd6eed3, "__pskb_pull_tail" },
	{ 0x28de63fe, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x4786d18d, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xba70a530, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x32654c90, "vlan_vid_add" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0x78216dc7, "call_netdevice_notifiers" },
	{ 0x271219af, "vlan_vid_del" },
	{ 0x57dd37e7, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6137fe0c, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xac6d0efd, "skb_clone" },
	{ 0xcd74b737, "dst_release" },
	{ 0x1a4decb9, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xcfd48676, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xfafc6a81, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x7e7ea9d5, "dev_mc_unsync" },
	{ 0x2696fd8c, "dev_change_flags" },
	{ 0x2b745563, "netdev_core_stats_inc" },
	{ 0x519f6c78, "dev_forward_skb" },
	{ 0xc3d79831, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe7ff0ae3, "register_netdevice" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7920E8DF5052EF89DCCE0C1");
MODULE_INFO(rhelversion, "9.99");
